summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2012-04-13 09:35:08 +0100
committerRichard W.M. Jones <rjones@redhat.com>2012-04-13 09:35:08 +0100
commit2a5a5e15e2a6f95ec9ea8a3085db68d520296942 (patch)
tree4aef628d17c29be8bd407bddaa3618c697782ccd
parent1f373aa24667fef62378d58ac546ddd2adaf37e9 (diff)
downloadlibguestfs-2a5a5e15e2a6f95ec9ea8a3085db68d520296942.tar.gz
libguestfs-2a5a5e15e2a6f95ec9ea8a3085db68d520296942.tar.xz
libguestfs-2a5a5e15e2a6f95ec9ea8a3085db68d520296942.zip
sysprep: Make the tests run quietly.
-rwxr-xr-xsysprep/test-virt-sysprep-script.sh4
-rwxr-xr-xsysprep/test-virt-sysprep.sh2
2 files changed, 3 insertions, 3 deletions
diff --git a/sysprep/test-virt-sysprep-script.sh b/sysprep/test-virt-sysprep-script.sh
index 7d34a991..36a7ab86 100755
--- a/sysprep/test-virt-sysprep-script.sh
+++ b/sysprep/test-virt-sysprep-script.sh
@@ -27,7 +27,7 @@ fi
# Check that multiple scripts can run.
rm -f stamp-script1.sh stamp-script2.sh
-if ! ./virt-sysprep -n -a ../tests/guests/fedora.img --enable script \
+if ! ./virt-sysprep -q -n -a ../tests/guests/fedora.img --enable script \
--script $abs_srcdir/script1.sh --script $abs_srcdir/script2.sh; then
echo "$0: virt-sysprep wasn't expected to exit with error."
exit 1
@@ -38,7 +38,7 @@ if [ ! -f stamp-script1.sh -o ! -f stamp-script2.sh ]; then
fi
# Check that if a script fails, virt-sysprep exits with an error.
-if ./virt-sysprep -n -a ../tests/guests/fedora.img --enable script \
+if ./virt-sysprep -q -n -a ../tests/guests/fedora.img --enable script \
--script $abs_srcdir/script3.sh; then
echo "$0: virt-sysprep didn't exit with an error."
exit 1
diff --git a/sysprep/test-virt-sysprep.sh b/sysprep/test-virt-sysprep.sh
index 7bd6a1c7..5e541fed 100755
--- a/sysprep/test-virt-sysprep.sh
+++ b/sysprep/test-virt-sysprep.sh
@@ -28,5 +28,5 @@ fi
# to be able to sysprep any of our test guests.
for f in ../tests/guests/{debian,fedora,ubuntu,windows}.img; do
- ./virt-sysprep -n -a $f
+ ./virt-sysprep -q -n -a $f
done